JGraph X 1.4.0.9

## com.mxgraph.shape
Class mxLabelShape

    java.lang.Object
      com.mxgraph.shape.mxBasicShape
          com.mxgraph.shape.mxRectangleShape
              com.mxgraph.shape.mxImageShape
                  com.mxgraph.shape.mxLabelShape

All Implemented Interfaces:
  mxIShape

    public class mxLabelShape

extends mxImageShape

Constructor Summary
`mxLabelShape()`

Method Summary
`java.awt.Color` `getFillColor(mxGraphics2DCanvas canvas, mxCellState state)`
`java.awt.Rectangle` `getImageBounds(mxGraphics2DCanvas canvas, mxCellState state)`
`java.awt.Color` `getStrokeColor(mxGraphics2DCanvas canvas, mxCellState state)`

Methods inherited from class com.mxgraph.shape.mxImageShape
`getImageForStyle, paintShape`

Methods inherited from class com.mxgraph.shape.mxRectangleShape
`getArcSize`

Methods inherited from class com.mxgraph.shape.mxBasicShape
`configureGraphics, createShape, hasShadow`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### mxLabelShape

    public mxLabelShape()

Method Detail

### getImageBounds

    public java.awt.Rectangle getImageBounds(mxGraphics2DCanvas canvas,
                                             mxCellState state)

  Overrides:
    `getImageBounds` in class `mxImageShape`

### getFillColor

    public java.awt.Color getFillColor(mxGraphics2DCanvas canvas,
                                       mxCellState state)

  Overrides:
    `getFillColor` in class `mxImageShape`

### getStrokeColor

    public java.awt.Color getStrokeColor(mxGraphics2DCanvas canvas,
                                         mxCellState state)

  Overrides:
    `getStrokeColor` in class `mxImageShape`

JGraph X 1.4.0.9

Copyright (c) 2010 Gaudenz Alder. All rights reserved.